Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class BeanInfoProperty

    java.lang.Object
      org.jbpm.jpdl.el.impl.BeanInfoProperty

    public class BeanInfoProperty

extends java.lang.Object

This contains the information for one property in a BeanInfo - PropertyDescriptor, read method, and write method. This class is necessary because the read/write methods in the PropertyDescriptor may not be accessible if the bean given to the introspector is not a public class. In this case, a publicly accessible version of the method must be found by searching for a public superclass/interface that declares the method (this searching is done by the BeanInfoManager).

Version:
  $Change: 181181 $$DateTime: 2001/06/26 09:55:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`BeanInfoProperty(java.lang.reflect.Method pReadMethod, java.lang.reflect.Method pWriteMethod, java.beans.PropertyDescriptor pPropertyDescriptor)` Constructor

Method Summary
`java.beans.PropertyDescriptor` | `getPropertyDescriptor()`
`java.lang.reflect.Method` | `getReadMethod()`
`java.lang.reflect.Method` | `getWriteMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanInfoProperty

    public BeanInfoProperty(java.lang.reflect.Method pReadMethod,
                            java.lang.reflect.Method pWriteMethod,
                            java.beans.PropertyDescriptor pPropertyDescriptor)

  Constructor

Method Detail

### getReadMethod

    public java.lang.reflect.Method getReadMethod()

### getWriteMethod

    public java.lang.reflect.Method getWriteMethod()

### getPropertyDescriptor

    public java.beans.PropertyDescriptor getPropertyDescriptor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD